Event signups#
DELETE /api/events/{event_id}/signup#
Remove your signup
Removes the signed-in member’s signup for an event, if any.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
string (uuid) |
yes |
The event’s ID. |
Response 204 — The signup was removed.
PUT /api/events/{event_id}/signup#
Create or update your signup
Creates or replaces the signed-in member’s signup for an event. Returns 404 for an unknown event and 409 if the event is not open for signups.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
string (uuid) |
yes |
The event’s ID. |
Request body
Model: SignupUpsert
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string | null |
no |
|
|
WowClass | null |
no |
|
|
SignupRole | null |
no |
|
|
yes |
||
|
string | null |
no |
Response 200 — The member’s signup.
Model: Signup
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
yes |
||
|
string | null |
yes |
|
|
WowClass | null |
yes |
|
|
SignupRole | null |
yes |
|
|
yes |
||
|
string | null |
yes |
|
|
integer | null |
yes |
|
|
boolean |
yes |
|
|
string (date-time) |
yes |